Bug 981542 - [abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:254:get_type:ValueError: unknown url type: /usr/bin/youtube-dl/youtube_dl
[abrt] youtube-dl-2013.05.14-1.fc18: urllib2.py:254:get_type:ValueError: unkn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:3291b128464ae8b7195aab07d13...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 02:10 EDT by kladgeo
Modified: 2013-07-21 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.57 KB, text/plain)
2013-07-05 02:10 EDT, kladgeo
no flags Details
File: core_backtrace (886 bytes, text/plain)
2013-07-05 02:10 EDT, kladgeo
no flags Details
File: environ (3.11 KB, text/plain)
2013-07-05 02:11 EDT, kladgeo
no flags Details

  None (edit)
Description kladgeo 2013-07-05 02:10:47 EDT
Version-Release number of selected component:
youtube-dl-2013.05.14-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/youtube-dl /usr/bin/youtube-dl/youtube_dl
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
urllib2.py:254:get_type:ValueError: unknown url type: /usr/bin/youtube-dl/youtube_dl

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 603, in main
    _real_main(argv)
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 587, in _real_main
    retcode = fd.download(all_urls)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 705, in download
    videos = self.extract_info(url)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 461, in extract_info
    ie_result = ie.extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 96, in extract
    return self._real_extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1277, in _real_extract
    new_url = self._test_redirect(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1267, in _test_redirect
    response = opener.open(HeadRequest(url))
  File "/usr/lib64/python2.7/urllib2.py", line 392, in open
    protocol = req.get_type()
  File "/usr/lib64/python2.7/urllib2.py", line 254, in get_type
    raise ValueError, "unknown url type: %s" % self.__original
ValueError: unknown url type: /usr/bin/youtube-dl/youtube_dl

Local variables in innermost frame:
self: <youtube_dl.InfoExtractors.HeadRequest instance at 0x238bb48>
Comment 1 kladgeo 2013-07-05 02:10:52 EDT
Created attachment 769104 [details]
File: backtrace
Comment 2 kladgeo 2013-07-05 02:10:56 EDT
Created attachment 769105 [details]
File: core_backtrace
Comment 3 kladgeo 2013-07-05 02:11:00 EDT
Created attachment 769106 [details]
File: environ
Comment 4 Christopher Meng 2013-07-05 05:22:45 EDT
Please enable updates-testing and update it to 2013.07.02

Note You need to log in before you can comment on or make changes to this bug.